Update redline request members
curl --request PUT \
--url https://api.formabledocs.com/v1/redline-requests/{redlineRequestId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
{
"email": "member@example.com",
"displayName": "John Doe",
"role": "DisclosingParty"
}
]
}
'import requests
url = "https://api.formabledocs.com/v1/redline-requests/{redlineRequestId}/members"
payload = { "members": [
{
"email": "member@example.com",
"displayName": "John Doe",
"role": "DisclosingParty"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
members: [
{email: 'member@example.com', displayName: 'John Doe', role: 'DisclosingParty'}
]
})
};
fetch('https://api.formabledocs.com/v1/redline-requests/{redlineRequestId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"members": [
{
"role": "DisclosingParty",
"email": "jsmith@example.com",
"displayName": "<string>"
}
]
}{
"error": "Members array is required and must contain at least one member"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to put redline members for this redline request"
}{
"error": "Redline request not found for id abc123xyz"
}{
"error": "Internal server error"
}Redlining
Update redline request members
Replaces or upserts the members for an existing redline request. Each member must have an email, displayName, and role. Valid roles are DisclosingParty, ReceivingParty, DisclosingCounsel, ReceivingCounsel.
PUT
/
redline-requests
/
{redlineRequestId}
/
members
Update redline request members
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the redline request to update members for
Body
application/json
Array of members to set for the redline request (replaces existing)
Minimum array length:
1Show child attributes
Show child attributes
Response
Redline members updated successfully
The updated list of redline members
Show child attributes
Show child attributes
⌘I